<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: hit_rec Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('structhit__rec.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structhit__rec-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">hit_rec Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A structure used to hold information regarding ray-surface intersection events.  
 <a href="structhit__rec.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_surface_8hpp_source.html">Surface.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:acf7ee9d8bc9a6080f672b55bc9fa632a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_surface.html">Surface</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structhit__rec.html#acf7ee9d8bc9a6080f672b55bc9fa632a">surface</a></td></tr>
<tr class="memdesc:acf7ee9d8bc9a6080f672b55bc9fa632a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the <a class="el" href="class_surface.html" title="A base class for every geometry class (e.g., Sphere, Triangle, Mesh). ">Surface</a> hit by the <a class="el" href="class_ray.html" title="A class to create and manipulate 3D rays. ">Ray</a>.  <a href="#acf7ee9d8bc9a6080f672b55bc9fa632a">More...</a><br /></td></tr>
<tr class="separator:acf7ee9d8bc9a6080f672b55bc9fa632a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a974e27fdf82ec6b3678d7ab07d11c4e9"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structhit__rec.html#a974e27fdf82ec6b3678d7ab07d11c4e9">t</a></td></tr>
<tr class="memdesc:a974e27fdf82ec6b3678d7ab07d11c4e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scalar to generate the hit/intersection point from the ray equation o+td.  <a href="#a974e27fdf82ec6b3678d7ab07d11c4e9">More...</a><br /></td></tr>
<tr class="separator:a974e27fdf82ec6b3678d7ab07d11c4e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaee7bd7656780eb7c860c69aebe3cac"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structhit__rec.html#afaee7bd7656780eb7c860c69aebe3cac">point</a></td></tr>
<tr class="memdesc:afaee7bd7656780eb7c860c69aebe3cac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hit/intersection point.  <a href="#afaee7bd7656780eb7c860c69aebe3cac">More...</a><br /></td></tr>
<tr class="separator:afaee7bd7656780eb7c860c69aebe3cac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1bd8b2d288f749c6fc4cfc7830fa664"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structhit__rec.html#aa1bd8b2d288f749c6fc4cfc7830fa664">alpha</a></td></tr>
<tr class="memdesc:aa1bd8b2d288f749c6fc4cfc7830fa664"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_triangle.html" title="A class to create and manipulate triangles. ">Triangle</a> barycentric coordinate of the hit/intersection point.  <a href="#aa1bd8b2d288f749c6fc4cfc7830fa664">More...</a><br /></td></tr>
<tr class="separator:aa1bd8b2d288f749c6fc4cfc7830fa664"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29907e2753dc9f8a1556ca03b3eb9ba1"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structhit__rec.html#a29907e2753dc9f8a1556ca03b3eb9ba1">gamma</a></td></tr>
<tr class="memdesc:a29907e2753dc9f8a1556ca03b3eb9ba1"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_triangle.html" title="A class to create and manipulate triangles. ">Triangle</a> barycentric coordinate of the hit/intersection point.  <a href="#a29907e2753dc9f8a1556ca03b3eb9ba1">More...</a><br /></td></tr>
<tr class="separator:a29907e2753dc9f8a1556ca03b3eb9ba1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a31cd818d4d761a8c2f9e515c733b9e"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structhit__rec.html#a6a31cd818d4d761a8c2f9e515c733b9e">beta</a></td></tr>
<tr class="memdesc:a6a31cd818d4d761a8c2f9e515c733b9e"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_triangle.html" title="A class to create and manipulate triangles. ">Triangle</a> barycentric coordinate of the hit/intersection point.  <a href="#a6a31cd818d4d761a8c2f9e515c733b9e">More...</a><br /></td></tr>
<tr class="separator:a6a31cd818d4d761a8c2f9e515c733b9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19e1d9c17ffdc6cd5d49e1f1caa93e3f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structhit__rec.html#a19e1d9c17ffdc6cd5d49e1f1caa93e3f">normal</a></td></tr>
<tr class="memdesc:a19e1d9c17ffdc6cd5d49e1f1caa93e3f"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_surface.html" title="A base class for every geometry class (e.g., Sphere, Triangle, Mesh). ">Surface</a>'s normal at the hit/intersection point.  <a href="#a19e1d9c17ffdc6cd5d49e1f1caa93e3f">More...</a><br /></td></tr>
<tr class="separator:a19e1d9c17ffdc6cd5d49e1f1caa93e3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac649739da1e743acb234e66146b1d3a6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_vec.html">Vec</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structhit__rec.html#ac649739da1e743acb234e66146b1d3a6">tex_coord</a></td></tr>
<tr class="memdesc:ac649739da1e743acb234e66146b1d3a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Texture coordinate of the hit/intersection point.  <a href="#ac649739da1e743acb234e66146b1d3a6">More...</a><br /></td></tr>
<tr class="separator:ac649739da1e743acb234e66146b1d3a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A structure used to hold information regarding ray-surface intersection events. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="aa1bd8b2d288f749c6fc4cfc7830fa664"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1bd8b2d288f749c6fc4cfc7830fa664">&sect;&nbsp;</a></span>alpha</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double hit_rec::alpha</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_triangle.html" title="A class to create and manipulate triangles. ">Triangle</a> barycentric coordinate of the hit/intersection point. </p>

</div>
</div>
<a id="a6a31cd818d4d761a8c2f9e515c733b9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a31cd818d4d761a8c2f9e515c733b9e">&sect;&nbsp;</a></span>beta</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double hit_rec::beta</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_triangle.html" title="A class to create and manipulate triangles. ">Triangle</a> barycentric coordinate of the hit/intersection point. </p>

</div>
</div>
<a id="a29907e2753dc9f8a1556ca03b3eb9ba1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29907e2753dc9f8a1556ca03b3eb9ba1">&sect;&nbsp;</a></span>gamma</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double hit_rec::gamma</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_triangle.html" title="A class to create and manipulate triangles. ">Triangle</a> barycentric coordinate of the hit/intersection point. </p>

</div>
</div>
<a id="a19e1d9c17ffdc6cd5d49e1f1caa93e3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19e1d9c17ffdc6cd5d49e1f1caa93e3f">&sect;&nbsp;</a></span>normal</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> hit_rec::normal</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_surface.html" title="A base class for every geometry class (e.g., Sphere, Triangle, Mesh). ">Surface</a>'s normal at the hit/intersection point. </p>

</div>
</div>
<a id="afaee7bd7656780eb7c860c69aebe3cac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afaee7bd7656780eb7c860c69aebe3cac">&sect;&nbsp;</a></span>point</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> hit_rec::point</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Hit/intersection point. </p>

</div>
</div>
<a id="acf7ee9d8bc9a6080f672b55bc9fa632a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf7ee9d8bc9a6080f672b55bc9fa632a">&sect;&nbsp;</a></span>surface</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_surface.html">Surface</a>* hit_rec::surface</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Pointer to the <a class="el" href="class_surface.html" title="A base class for every geometry class (e.g., Sphere, Triangle, Mesh). ">Surface</a> hit by the <a class="el" href="class_ray.html" title="A class to create and manipulate 3D rays. ">Ray</a>. </p>

</div>
</div>
<a id="a974e27fdf82ec6b3678d7ab07d11c4e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a974e27fdf82ec6b3678d7ab07d11c4e9">&sect;&nbsp;</a></span>t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double hit_rec::t</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Scalar to generate the hit/intersection point from the ray equation o+td. </p>

</div>
</div>
<a id="ac649739da1e743acb234e66146b1d3a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac649739da1e743acb234e66146b1d3a6">&sect;&nbsp;</a></span>tex_coord</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_vec.html">Vec</a> hit_rec::tex_coord</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Texture coordinate of the hit/intersection point. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/<a class="el" href="_surface_8hpp_source.html">Surface.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structhit__rec.html">hit_rec</a></li>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
